import request from '@/utils/request'

// 查询财务报表列表
export function listFinancialStatements(query) {
  return request({
    url: '/study/financialStatements/list',
    method: 'get',
    params: query
  })
}

// 查询财务报表详细
export function getFinancialStatements(id) {
  return request({
    url: '/study/financialStatements/' + id,
    method: 'get'
  })
}

// 新增财务报表
export function addFinancialStatements(data) {
  return request({
    url: '/study/financialStatements',
    method: 'post',
    data: data
  })
}

// 修改财务报表
export function updateFinancialStatements(data) {
  return request({
    url: '/study/financialStatements',
    method: 'put',
    data: data
  })
}

// 删除财务报表
export function delFinancialStatements(id) {
  return request({
    url: '/study/financialStatements/' + id,
    method: 'delete'
  })
}
